Bug 133444 - probe for mouse type show wrong info
probe for mouse type show wrong info
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-23 21:22 EDT by Jason
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-24 12:23:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason 2004-09-23 21:22:19 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20040914
Firefox/0.10

Description of problem:
During the install of FC3T2 the probe for mouse type returned a value
of Generic - 3 button mouse (PS/2).  I don't have a PS/2 mouse.  I
have a Microsoft Intellimouse (USB).  This mouse has the two extra
buttons on the side usually for moving forward or back a page in a
brower.  The two side buttons don't work like they should.  The back
button goes to a random page I visited, and the forward button brings
up the same menu as a right click.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  install FC3T2 with a USB mouse
2.
3.
    

Actual Results:  The mouse works, but why does the installer think I
have a PS/2 mouse?

Expected Results:  It should have returned a value of Microsoft
Intellimouse (USB)

Additional info:
Comment 1 Jeremy Katz 2004-09-24 12:23:31 EDT
Unfortunately, this is what the 2.6 kernel thinks all mice are (and it
matters little as they all go through the input layer).

Note You need to log in before you can comment on or make changes to this bug.